Package be.ehealth.business.kmehrcommons.builders.mycarenet

# Class McnHcPartyBuilder

java.lang.Object
be.ehealth.business.kmehrcommons.builders.mycarenet.McnHcPartyBuilder

All Implemented Interfaces:
  `ConfigurationModuleBootstrap.ModuleBootstrapHook`

public class McnHcPartyBuilder extends Object implements ConfigurationModuleBootstrap.ModuleBootstrapHook
builder object for HcPartyType. This class should be extended if newer ids are needed

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `McnHcPartyBuilder()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `McnHcPartyBuilder`
  `address(String addressCdValue, CDADDRESSschemes addressCdSchemes, String addressCdSv, String city, String district, String houseNumber, String nis, String postBox, String street, String zip, String countryValue, CDCOUNTRYschemes countrySchemes, String countrySv)`
  sets the address for a person.
  `void`
  `bootstrap()`
  `HcpartyType`
  `build()`
  Return the result of all previous operations
  `McnHcPartyBuilder`
  `cdHcPartyCd(String value, String sv)`
  add a cdHcPartyCd
  `McnHcPartyBuilder`
  `firstname(String firstname)`
  sets the first name for a person.
  `McnHcPartyBuilder`
  `id(String sv, String value)`
  add an IDHCPARTY id with sv and value.
  `McnHcPartyBuilder`
  `idFromSessionNihii(String sv)`
  add an inss id
  `McnHcPartyBuilder`
  `idFromSessionNiss(String sv)`
  add an inss id
  `McnHcPartyBuilder`
  `idHcPartyId(String value, String sv)`
  Add an HcParty Id
  `McnHcPartyBuilder`
  `inssId(String value, String sv)`
  generate an inss id with the value from the session
  `McnHcPartyBuilder`
  `lastname(String lastName)`
  sets the last name for a person.
  `McnHcPartyBuilder`
  `localCd(String value, String sv, String sl)`
  Add a local cd
  `McnHcPartyBuilder`
  `localId(String value, String sv, String sl)`
  Add a local id
  `McnHcPartyBuilder`
  `name(String name)`
  add a name to the hcparty
  `McnHcPartyBuilder`
  `setCdhcpartyCd(String value)`
  Deprecated.
  use cdHcPartyCd
  `McnHcPartyBuilder`
  `setFirstName(String firstname)`
  Deprecated.
  use firstname
  `McnHcPartyBuilder`
  `setIdhcpartyId(String value)`
  Deprecated.
  use idHcPartyId
  `McnHcPartyBuilder`
  `setInssId(String value)`
  Deprecated.
  use inssId
  `McnHcPartyBuilder`
  `setLastName(String lastName)`
  Deprecated.
  use lastname
  `McnHcPartyBuilder`
  `setLocalCd(String type, String value)`
  Deprecated.
  replaced by localCd
  `McnHcPartyBuilder`
  `setLocalId(String type, String value)`
  Deprecated.
  use localId
  `McnHcPartyBuilder`
  `setName(String name)`
  Deprecated.
  use name

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### McnHcPartyBuilder

    public McnHcPartyBuilder()

- ## Method Details

  - ### build

    public HcpartyType build() throws TechnicalConnectorException
    Return the result of all previous operations
    Returns:
    Throws:
      `TechnicalConnectorException`

  - ### id

    public McnHcPartyBuilder id(String sv, String value)
    add an IDHCPARTY id with sv and value.
    Parameters:
      `sv` - String svNumber
      `value` - String value
    Returns:
      `McnHcPartyBuilder` ( builder pattern )

  - ### idHcPartyId

    public McnHcPartyBuilder idHcPartyId(String value, String sv)
    Add an HcParty Id
    Parameters:
      `value` -
      `sv` -
    Returns:

  - ### localId

    public McnHcPartyBuilder localId(String value, String sv, String sl)
    Add a local id
    Parameters:
      `value` -
      `sv` -
      `sl` -
    Returns:

  - ### idFromSessionNiss

    public McnHcPartyBuilder idFromSessionNiss(String sv) throws TechnicalConnectorException
    add an inss id
    Parameters:
      `sv` -
    Returns:
    Throws:
      `TechnicalConnectorException`

  - ### idFromSessionNihii

    public McnHcPartyBuilder idFromSessionNihii(String sv) throws TechnicalConnectorException
    add an inss id
    Parameters:
      `sv` -
    Returns:
    Throws:
      `TechnicalConnectorException`

  - ### inssId

    public McnHcPartyBuilder inssId(String value, String sv)
    generate an inss id with the value from the session
    Parameters:
      `value` -
      `sv` -
    Returns:

  - ### localCd

    public McnHcPartyBuilder localCd(String value, String sv, String sl)
    Add a local cd
    Parameters:
      `value` -
      `sv` -
      `sl` -
    Returns:

  - ### cdHcPartyCd

    public McnHcPartyBuilder cdHcPartyCd(String value, String sv)
    add a cdHcPartyCd
    Parameters:
      `value` -
      `sv` -
    Returns:

  - ### name

    public McnHcPartyBuilder name(String name)
    add a name to the hcparty
    Parameters:
      `name` -
    Returns:
      `McnHcPartyBuilder` ( builder pattern )

  - ### firstname

    public McnHcPartyBuilder firstname(String firstname)
    sets the first name for a person.
    Parameters:
      `firstname` -
    Returns:
      `McnHcPartyBuilder` ( builder pattern )

  - ### lastname

    public McnHcPartyBuilder lastname(String lastName)
    sets the last name for a person.
    Parameters:
      `lastName` - the lastName
    Returns:
      `McnHcPartyBuilder` ( builder pattern )

  - ### address

    public McnHcPartyBuilder address(String addressCdValue, CDADDRESSschemes addressCdSchemes, String addressCdSv, String city, String district, String houseNumber, String nis, String postBox, String street, String zip, String countryValue, CDCOUNTRYschemes countrySchemes, String countrySv)
    sets the address for a person.
    Parameters:
      `addressCdValue` - the address
    Returns:
      `McnHcPartyBuilder` ( builder pattern )

  - ### setLocalCd

    @Deprecated public McnHcPartyBuilder setLocalCd(String type, String value)
    Deprecated.
    replaced by localCd

  - ### setIdhcpartyId

    @Deprecated public McnHcPartyBuilder setIdhcpartyId(String value)
    Deprecated.
    use idHcPartyId

  - ### setLocalId

    @Deprecated public McnHcPartyBuilder setLocalId(String type, String value)
    Deprecated.
    use localId

  - ### setInssId

    @Deprecated public McnHcPartyBuilder setInssId(String value)
    Deprecated.
    use inssId

  - ### setCdhcpartyCd

    @Deprecated public McnHcPartyBuilder setCdhcpartyCd(String value)
    Deprecated.
    use cdHcPartyCd

  - ### setName

    @Deprecated public McnHcPartyBuilder setName(String name)
    Deprecated.
    use name

  - ### setFirstName

    @Deprecated public McnHcPartyBuilder setFirstName(String firstname)
    Deprecated.
    use firstname

  - ### setLastName

    @Deprecated public McnHcPartyBuilder setLastName(String lastName)
    Deprecated.
    use lastname

  - ### bootstrap

    public void bootstrap()
    Specified by:
      `bootstrap` in interface `ConfigurationModuleBootstrap.ModuleBootstrapHook`